package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.channel.MainChannel;

import java.util.List;

/**
 *  主渠道基本信息接口
 * @author xm
 * @Date 2018-07-23
 */
public interface MainChannelMapper {
    /**
     * 获取集合
     * @param  mainChannel
     * @return List
     */
    List<MainChannel> getMainChannelList(MainChannel  mainChannel);
    /**
     * 查询单条数据
     * @param  id
     * @return  mainChannel
     */
    MainChannel  getMainChannelById(Integer  id);
    /**
     * 增加数据
     * @param  mainChannel
     * @return Integer
     */
    Integer  save(MainChannel  mainChannel);
    /**
     * 修改数据
     * @param  mainChannel
     * @return Integer
     */
    Integer  update(MainChannel  mainChannel);
}